'YF_Easy_code
'ÓÂ·¼¼òµ¥×Ö·û±àÂë
Function YF_Easy_code(ByVal cS As String) As String
  Dim I As Long, b As String, a As String, Bb As String, Ii As Long
  Dim Ca As Long
  For I = 1 To Len(cS)
      a = Mid(cS, I, 1)
      a = Hex(Asc(a))
      If Len(a) = 1 Or Len(a) = 3 Then a = "0" & a
      b = b & a
  Next
  Randomize
  Ca = Int(Rnd * 117) + 20
  For I = 1 To Ca
      Bb = Bb & Hex(Int(Rnd * 16))
  Next
  b = Bb & b
  a = ""
  Ii = 0
  Ca = Ca + 1
  For I = Ca To Len(b)
      Ii = Ii + 1
      If Ii = Ca Then Ii = 1
      a = a & Hex(Val("&H" & Mid(b, I, 1)) Xor Val("&H" & Mid(b, Ii, 1)))
  Next

  Function = Hex(Ca) & Bb & a
End Function